Loading...
Searching...
No Matches
ReverseDigraph< DGR > Class Template Reference
Data Structures » Graph Structures » Adaptor Classes for Graphs

## Detailed Description

template<typename DGR>
class lemon::ReverseDigraph< DGR >

ReverseDigraph can be used for reversing the arcs in a digraph. It conforms to the Digraph concept.

The adapted digraph can also be modified through this adaptor by adding or removing nodes or arcs, unless the `GR` template parameter is set to be `const`.

This class provides item counting in the same time as the adapted digraph structure.

Template Parameters

  DGR | The type of the adapted digraph. It must conform to the Digraph concept. It can also be specified to be `const`.

Note
  The `Node` and `Arc` types of this adaptor and the adapted digraph are convertible to each other.

`#include <lemon/adaptors.h>`

## Public Types

typedef DGR | Digraph
| The type of the adapted digraph.

## Public Member Functions

| ReverseDigraph (DGR &digraph)
| Constructor.

## Related Symbols

(Note that these are not member symbols.)
template<typename DGR>
ReverseDigraph< const DGR > | reverseDigraph (const DGR &digraph)
| Returns a read-only ReverseDigraph adaptor.

## Constructor & Destructor Documentation

## ReverseDigraph()

template<typename DGR>

ReverseDigraph | ( | DGR & | digraph | ) |

inline explicit

Creates a reverse digraph adaptor for the given digraph.